Bug 29419 - Suggest for purchase clears item type, quantity, library and reason if bib exists
Summary: Suggest for purchase clears item type, quantity, library and reason if bib ex...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29950
  Show dependency treegraph
 
Reported: 2021-11-04 18:05 UTC by Donna
Modified: 2022-02-19 21:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.02,21.05.09


Attachments
Bug 29419: Retain user's inputs when suggesting for purchase and match found (7.66 KB, patch)
2021-11-16 10:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29419: Retain user's inputs when suggesting for purchase and match found (7.71 KB, patch)
2021-12-13 19:45 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29419: Retain user's inputs when suggesting for purchase and match found (7.78 KB, patch)
2021-12-18 22:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2021-11-04 18:05:01 UTC
From the Submit a New Purchase Suggestion function, if the system recognizes the title in one way or another,  the system will give the patron the message s message before proceeding with the purchase suggestion: A similar document already exists. Click on confirm your suggestion to ignore this message.

At this point, the (document)item type has gone back to, "None." If the patron scrolls down and clicks on "Confirm your suggestion" anyways, and doesn't change the item type a second time, then this is where the system allows for the suggestion to be submitted without the item type. 

The item type needs to be retained.
Comment 1 Jonathan Druart 2021-11-16 10:58:30 UTC
Created attachment 127684 [details] [review]
Bug 29419: Retain user's inputs when suggesting for purchase and match found

If a user suggests for purchase and a match is found, their inputs was
not retained: quantity, item type, library, reason.

Test plan:
1. Suggest for purchase
2. Fill the title in with a string that will match an existing record
3. Fill value in quantity, item type, library and reason input/dropdown
4. Submit
=> Notice that with this patch the values you entered are retained on
the confirmation screen
Comment 2 Lucas Gass 2021-12-13 19:45:08 UTC
Created attachment 128482 [details] [review]
Bug 29419: Retain user's inputs when suggesting for purchase and match found

If a user suggests for purchase and a match is found, their inputs was
not retained: quantity, item type, library, reason.

Test plan:
1. Suggest for purchase
2. Fill the title in with a string that will match an existing record
3. Fill value in quantity, item type, library and reason input/dropdown
4. Submit
=> Notice that with this patch the values you entered are retained on
the confirmation screen

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-12-18 22:28:16 UTC
Created attachment 128700 [details] [review]
Bug 29419: Retain user's inputs when suggesting for purchase and match found

If a user suggests for purchase and a match is found, their inputs was
not retained: quantity, item type, library, reason.

Test plan:
1. Suggest for purchase
2. Fill the title in with a string that will match an existing record
3. Fill value in quantity, item type, library and reason input/dropdown
4. Submit
=> Notice that with this patch the values you entered are retained on
the confirmation screen

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2022-01-11 21:19:34 UTC
When pushing master, had a little conflict because of Bug 26296
But changes are not related, not on same line.
Comment 5 Fridolin Somers 2022-01-11 22:51:35 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-01-14 14:10:02 UTC
Pushed to 21.11.x for 21.11.02
Comment 7 Andrew Fuerste-Henry 2022-01-21 18:06:04 UTC
Pushed to 21.05.x for 21.05.09
Comment 8 Victor Grousset/tuxayo 2022-02-07 18:55:13 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.